Gentoo Archives: gentoo-commits

From: Sebastian Pipping <sping@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/gnome:master commit in: dev-vcs/gitg/
Date: Tue, 12 Apr 2011 00:57:25
Message-Id: acad2a0d5c89d4132e8ba7c4b3cf2eee6129fce7.sping@gentoo
commit:     acad2a0d5c89d4132e8ba7c4b3cf2eee6129fce7
Author:     Sebastian Pipping <sebastian <AT> pipping <DOT> org>
AuthorDate: Tue Apr 12 00:55:05 2011 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Tue Apr 12 00:55:05 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=acad2a0d

dev-vcs/gitg: Remove -Werror (bug #363009)

---
 dev-vcs/gitg/gitg-0.2.2.ebuild |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/dev-vcs/gitg/gitg-0.2.2.ebuild b/dev-vcs/gitg/gitg-0.2.2.ebuild
index 5b7fac2..56570d2 100644
--- a/dev-vcs/gitg/gitg-0.2.2.ebuild
+++ b/dev-vcs/gitg/gitg-0.2.2.ebuild
@@ -47,6 +47,11 @@ src_prepare() {
 	gnome2_src_prepare
 }
 
+src_configure() {
+	# Disable maintainer to get rid of -Werror  (bug #363009)
+	econf --disable-maintainer-mode || die
+}
+
 src_install() {
 	gnome2_src_install
 	find "${ED}" -name "*.la" -delete || die "Removal of .la files failed"